Enhavo

# Exit Statement

Exits a Do...Loop, For...Next, a function, a property, or a subroutine.

### Syntax:

    Exit Do, Exit For, Exit Function, Exit Property, Exit Sub

### Parameters:

Exit Do

Validas nur ene de ordono Do...Loop por eliri el la iteracio. Programa rulado daŭras ĉe la ordono kiu sekvas la ordonon Loop. Se ordonoj Do...Loop estas ingitaj, la regado transiĝas al la iteracio (Loop) en la sekva plialta nivelo.

Exit For

Validas nur ene de iteracio For...Next por eliri el la iteracio. Programa rulado daŭras ĉe la unua ordono post la ordono Next. En ingitaj ordonoj, la regado transiĝas al la iteracio (Loop) en la sekva plialta nivelo..

Exit Function

Tuj eliras el la proceduro Function. Programa rulado daŭras ĉe la ordono post la voko al la Function.

Exit Property

Exits the Property procedure immediately. Program execution continues with the statement that follows the Property call.

Exit Sub

Tuj eliras el la subproceduro. Programa rulado daŭras ĉe la ordono post la voko al la Sub.

La ordono Exit ne difinas la finon de strukturo. Ne konfuzu ĝin kun la ordono End.

### Example:

    Sub ExampleExit
    Dim sReturn As String
    Dim sListArray(10) As String
    Dim siStep As Single
        For siStep = 0 to 10 REM Plenigu tabelon per testaj datumoj
            sListArray(siStep) = chr(siStep + 65)
            MsgBox sListArray(siStep)
        Next siStep
        sReturn = LinSearch(sListArray(), "B")
        Print sReturn
    End Sub

    Function LinSearch( sList(), sItem As String ) As Integer
    Dim iCount As Integer
    REM Linsearch serĉos en TextArray:sList() por iu TextEntry:
    REM Liveros la indicon de la elemento aŭ 0 (Null).
        For iCount=1 To Ubound( sList() )
            If sList( iCount ) = sItem Then
                Exit for REM sItem trovita
            End If
        Next iCount
        If iCount = Ubound( sList() ) Then iCount = 0
        LinSearch = iCount
    End Function